#!/bin/sh

typeset -r _CDATA_OPEN="<![CDATA["
typeset -r _CDATA_CLOSE="]]>"

typeset -r _MSG_IPMI_INSTALL=\
"This Update Package requires an OpenIPMI driver. Currently no OpenIPMI driver \
is installed on the system."

typeset -r _MSG_IPMI_UPGRADE=\
"This Update Package requires a newer version of the OpenIPMI driver than is \
currently installed on the system, which is version \"${GBL_DRIVER_MODULE_VERSION}\"."

typeset -r _MSG_DOWNLOAD_IPMI=\
"In order to assist in the ${_MSG_DOWNLOAD_PARM}, you can download and install a version \
of the OpenIPMI driver that meets the minimum version requirement \
from the Dell Support website at support.dell.com.  \
The minimum version required is \"${GBL_VER_MIN}\"."

typeset -r _MSG_DKMS_AND_KERNEL_SOURCE=\
"Kernel source for the running kernel is not installed, \
and the currently installed OpenIPMI driver RPM was installed \
without the kernel source for the running kernel.  \
In order to install OpenIPMI driver modules for the running kernel that meet \
the minimum version requirement, you must install kernel source for the running \
kernel, and then use DKMS (see man page for dkms) to install and build \
OpenIPMI driver modules for the running kernel.  To install kernel source \
for the running kernel, install the \"${GBL_KERNEL_SOURCE_RPM_NAME}\" RPM \
that is applicable to the running kernel."

typeset -r _MSG_DKMS=\
"Kernel source for the running kernel is installed, \
but the currently installed OpenIPMI driver RPM was installed \
without the kernel source for the running kernel.  \
In order to install OpenIPMI driver modules for the running kernel that meet \
the minimum version requirement, use DKMS (see man page for dkms) to install \
and build OpenIPMI driver modules for the running kernel."

typeset -r _MSG_GENERIC_HAPI_ERROR=\
"Unable to Install Dell Instrumentation Driver (HAPI)."

typeset -r _MSG_IMB_DRIVER_ERROR=\
"The Intel IMB driver is currently loaded. Please unload the driver before executing."

typeset -r _MSG_IPMI_DRIVER_ERROR=\
"The OpenIPMI driver is currently loaded. Please unload the driver before executing."
